#!/usr/bin/env python
# -*- coding: utf-8 -*-

##
#  @file       config_reader.py
#  @brief      This script defines the ConfigReader class for reading configuration parameters.
#

##
#  @class      ConfigReader
#  @brief      A class for reading configuration parameters.
#
class ConfigReader(object):
    # ˅

    # ˄

    ##
    #  @fn        __init__(self)
    #  @brief     Constructor for ConfigReader.
    #
    def __init__(self):
        # ˅
        pass
        # ˄

    ##
    #  @fn        getProjectedImageWidth(self)
    #  @brief     Gets the projected image width.
    #  @return    Projected image width.
    #
    def getProjectedImageWidth(self):
        # ˅
        pass
        # ˄

    ##
    #  @fn        getDistanceBetweenProjectors(self)
    #  @brief     Gets the distance between projectors.
    #  @return    Distance between projectors.
    #
    def getDistanceBetweenProjectors(self):
        # ˅
        pass
        # ˄

    ##
    #  @fn        getImageWidth(self)
    #  @brief     Gets the image width.
    #  @return    Image width.
    #
    def getImageWidth(self):
        # ˅
        pass
        # ˄

    ##
    #  @fn        getImageHeight(self)
    #  @brief     Gets the image height.
    #  @return    Image height.
    #
    def getImageHeight(self):
        # ˅
        pass
        # ˄

    ##
    #  @fn        getImageName(self)
    #  @brief     Gets the image name.
    #  @return    Image name.
    #
    def getImageName(self):
        # ˅
        pass
        # ˄

    ##
    #  @fn        getSide(self)
    #  @brief     Gets the side information.
    #  @return    Side information.
    #
    def getSide(self):
        # ˅
        pass
        # ˄

    ##
    #  @brief     Gets the gamma value.
    #  @return    Gamma value.
    #
    #
    def getGamma(self):
        # ˅
        pass
        # ˄

    # ˅

    # ˄
